Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.datasource
Class PoolConnection

    java.lang.Object
      |
      +--com.solarmetric.datasource.ConnectionWrapper
            |
            +--com.solarmetric.datasource.PoolConnection

All Implemented Interfaces:
  Comparable, Connection

class PoolConnection
extends ConnectionWrapper

Wrapper around an existing Connection that logs SQL and intercepts `close()` actions to return the Connection to an existing pool.

Inner classes inherited from class com.solarmetric.datasource.ConnectionWrapper
`ConnectionWrapper.Statistics`

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`protected` | `PoolConnection(Connection conn, JDBCConnectionRequestInfo cri, DataSourceImpl source)`

Method Summary
`void` | `close()`
`Statement` | `createStatement()`
`Statement` | `createStatement(int type, int concurrency)`
`JDBCConnectionRequestInfo` | `getConnectionRequestInfo()`
`DataSourceImpl` | `getDataSource()`

Methods inherited from class com.solarmetric.datasource.ConnectionWrapper
`addError, checkClosed, clearNeedsRollback, clearWarnings, commit, compareTo, createStatement, equals, finalize, getAutoCommit, getBaseConnection, getCatalog, getConnection, getErrorCount, getHoldability, getLastConnectionTestTime, getMetaData, getTransactionIsolation, getTypeMap, getWarnings, hashCode, isClosed, isFinalized, isReadOnly, nativeSQL, needsRollback, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setHoldability, setLastConnectionTestTime, setNeedsRollback, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap, toString, toString`

Methods inherited from class java.lang.Object
`, clone, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PoolConnection

    protected PoolConnection(Connection conn,
                             JDBCConnectionRequestInfo cri,
                             DataSourceImpl source)
                      throws SQLException

Method Detail

### getDataSource

    public DataSourceImpl getDataSource()

  Overrides:
    `getDataSource` in class `ConnectionWrapper`

### getConnectionRequestInfo

    public JDBCConnectionRequestInfo getConnectionRequestInfo()

### createStatement

    public Statement createStatement()
                              throws SQLException

  Overrides:
    `createStatement` in class `ConnectionWrapper`

### createStatement

    public Statement createStatement(int type,
                                     int concurrency)
                              throws SQLException

  Overrides:
    `createStatement` in class `ConnectionWrapper`

### close

    public void close()
               throws SQLException

  Overrides:
    `close` in class `ConnectionWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.